Raritan PX2/PX3 JSON-RPC API

Public Member Functions | Public Attributes | List of all members
pdumodel::OutletGroupManager_1_0_1 Interface Reference

Main PDU interface. More...

`import"OutletGroupManager.idl";`

## Public Member Functions
int | createGroup (in string name, in vector< Outlet_2_1_5 > members, out OutletGroup_1_0_1 group)
map< int, OutletGroup_1_0_1 > | getAllGroups ()
int | getGroup (in int id, out OutletGroup_1_0_1 group)
int | deleteGroup (in int id)

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1
constant int | ERR_NO_SUCH_ID = 2
constant int | ERR_MAX_GROUP_COUNT_REACHED = 3
valueobject | GroupCreatedEvent: event::UserEvent { int id
int | uniqueId
OutletGroup_1_0_1 | group
OutletGroup_1_0_1::Settings | settings
valueobject | GroupDeletedEvent: event::UserEvent { int id

## Detailed Description

Main PDU interface.

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/OutletGroupManager.idl